VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::system::UpdateStub Class Reference

Remote stub implementation of the Update API service. More...

Inherits vmware::appliance::techpreview::system::Update.

List of all members.

## Public Member Functions
| UpdateStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
void | Set (vmware.appliance.techpreview.system.UpdateTypes.UpdateStructSet config)
| Set update repository configuration.
void | Set (vmware.appliance.techpreview.system.UpdateTypes.UpdateStructSet config, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Set update repository configuration.
global::System.Threading.Tasks.Task | SetAsync (vmware.appliance.techpreview.system.UpdateTypes.UpdateStructSet config)
| Set update repository configuration.
global::System.Threading.Tasks.Task | SetAsync (vmware.appliance.techpreview.system.UpdateTypes.UpdateStructSet config, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Set update repository configuration.
vmware.appliance.techpreview.system.UpdateTypes.UpdateStructGet | Get ()
| Get update repository configuration.
vmware.appliance.techpreview.system.UpdateTypes.UpdateStructGet | Get (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get update repository configuration.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.system.UpdateTypes.UpdateStructGet > | GetAsync ()
| Get update repository configuration.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.system.UpdateTypes.UpdateStructGet > | GetAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get update repository configuration.

## Detailed Description

Remote stub implementation of the Update API service.

## Constructor & Destructor Documentation

vmware::appliance::techpreview::system::UpdateStub::UpdateStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

vmware.appliance.techpreview.system.UpdateTypes.UpdateStructGet vmware::appliance::techpreview::system::UpdateStub::Get | ( |  | ) | `[inline]`

Get update repository configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  update related configuration

Implements vmware::appliance::techpreview::system::Update.

vmware.appliance.techpreview.system.UpdateTypes.UpdateStructGet vmware::appliance::techpreview::system::UpdateStub::Get | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get update repository configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  update related configuration

Implements vmware::appliance::techpreview::system::Update.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.system.UpdateTypes.UpdateStructGet> vmware::appliance::techpreview::system::UpdateStub::GetAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get update repository configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  update related configuration

Implements vmware::appliance::techpreview::system::Update.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.system.UpdateTypes.UpdateStructGet> vmware::appliance::techpreview::system::UpdateStub::GetAsync | ( |  | ) | `[inline]`

Get update repository configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  update related configuration

Implements vmware::appliance::techpreview::system::Update.

void vmware::appliance::techpreview::system::UpdateStub::Set | ( | vmware.appliance.techpreview.system.UpdateTypes.UpdateStructSet | config,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Set update repository configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | update related configuration
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::techpreview::system::Update.

void vmware::appliance::techpreview::system::UpdateStub::Set | ( | vmware.appliance.techpreview.system.UpdateTypes.UpdateStructSet | config | ) | `[inline]`

Set update repository configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | update related configuration

Implements vmware::appliance::techpreview::system::Update.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::system::UpdateStub::SetAsync | ( | vmware.appliance.techpreview.system.UpdateTypes.UpdateStructSet | config | ) | `[inline]`

Set update repository configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | update related configuration

Implements vmware::appliance::techpreview::system::Update.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::system::UpdateStub::SetAsync | ( | vmware.appliance.techpreview.system.UpdateTypes.UpdateStructSet | config,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Set update repository configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | update related configuration
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::techpreview::system::Update.

The documentation for this class was generated from the following file:

- UpdateStub.cs